Subject: Re: [PATCH 2/5] SUNRPC: create unix gid cache per network namespace

From: Stanislav Kinsbursky <[email-masked]>
Date: Thu, 19 Jan 2012 21:00:23 +0400

19.01.2012 20:24, J. Bruce Fields пишет:
> On Thu, Jan 19, 2012 at 06:49:14PM +0400, Stanislav Kinsbursky wrote:
>> This patch makes unix_gid_cache cache detail allocated and registered per
>> network namespace context.
>> Thus with this patch unix_gid_cache contents for network namespace "X" are
>> controlled from proc file system mount for the same network namespace "X".
>
> I'm confused--this seems half-done.  I see that you're creating the gid
> caches dynamically, but there's still this static definition:
>

This static definition is used as a template now.
Have a look at the first path of the series: cache creation routine duplicates 
incomming cache_detail and initializes net and hash_table fields in freshly 
created copy.
This copy is the new per-net cache_detail instance.

>>   struct cache_detail unix_gid_cache = {
>>   	.owner		= THIS_MODULE,
>>   	.hash_size	= GID_HASHMAX,
>> -	.hash_table	= gid_table,
>>   	.name		= "auth.unix.gid",
>>   	.cache_put	= unix_gid_put,
>>   	.cache_upcall	= unix_gid_upcall,
>
> And it looks like unix_gid_lookup is still using this static
> unix_gid_cache.  Maybe I'm missing something....
>

Yep, thanks for the catch.
My fault, I've missed this usage.

-- 
Best regards,
Stanislav Kinsbursky